// Shared interface functions
#ifndef ITM_INTERFACE_EMPTY_H
#define ITM_INTERFACE_EMPTY_H

#define MAX_HL1_CLIENTS     32              // Max 32 clients in HL1

// The function names should not change
// The params may change though
void IF_Init();
void IF_Spawn(edict_t *pent);
void IF_UpdateSequence();

int  IF_MakeItHappen(c_ITM_Bot *pBot);       // Aka RunPlayerMove()

// Newly added functions:
/////////////////////////
c_ITM_Bot * UTIL_GetBotPointer (edict_t * pEdict);
void HUD_DrawString (int r, int g, int b, char *msg, edict_t * edict);
int UTIL_GetBotIndex (edict_t * pEdict);


// CLIENT STUFF

// COUNTER-STRIKE
void BotClient_CS_VGUI (void *p, int bot_index);
void BotClient_CS_ShowMenu (void *p, int bot_index);
void BotClient_CS_WeaponList (void *p, int bot_index);
void BotClient_CS_CurrentWeapon (void *p, int bot_index);
void BotClient_CS_AmmoX (void *p, int bot_index);
void BotClient_CS_AmmoPickup (void *p, int bot_index);
void BotClient_CS_WeaponPickup (void *p, int bot_index);
void BotClient_CS_ItemPickup (void *p, int bot_index);
void BotClient_CS_Health (void *p, int bot_index);
void BotClient_CS_Battery (void *p, int bot_index);
void BotClient_CS_Damage (void *p, int bot_index);
void BotClient_CS_Money (void *p, int bot_index);
void BotClient_CS_DeathMsg (void *p, int bot_index);
void BotClient_CS_ScreenFade (void *p, int bot_index);
void BotClient_CS_HLTV(void *p, int bot_index);
void BotClient_CS_SayText(void *p, int bot_index);

// StatusIcon
void BotClient_CS_StatusIcon (void *p, int bot_index);

// VALVE DEATHMATCH
void BotClient_Valve_WeaponList (void *p, int bot_index);
void BotClient_Valve_CurrentWeapon (void *p, int bot_index);
void BotClient_Valve_AmmoX (void *p, int bot_index);
void BotClient_Valve_AmmoPickup (void *p, int bot_index);
void BotClient_Valve_WeaponPickup (void *p, int bot_index);
void BotClient_Valve_ItemPickup (void *p, int bot_index);
void BotClient_Valve_Health (void *p, int bot_index);
void BotClient_Valve_Battery (void *p, int bot_index);
void BotClient_Valve_Damage (void *p, int bot_index);
void BotClient_Valve_DeathMsg (void *p, int bot_index);
void BotClient_Valve_ScreenFade (void *p, int bot_index);


#endif // ITM_INTERFACE_EMPTY_H
